unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, IntfGraphics, FPImage;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
var
  IntfImg: TLazIntfImage = nil;
  aBmp: TBitmap;
  x, y: Integer;
  Tick: QWord;
begin
  Tick := GetTickCount64;

  try
    aBmp := TBitmap.Create;
    aBmp.SetSize(1000, 1000);
    IntfImg := aBmp.CreateIntfImage;

    IntfImg.BeginUpdate;
    for y := 0 to IntfImg.Height - 1 do
      for x := 0 to IntfImg.Width - 1 do
      begin
        if Odd(y) then
          IntfImg.Colors[x, y] := TColorToFPColor(clYellow)
        else
          IntfImg.Colors[x, y] := TColorToFPColor(clGreen);
      end;
    IntfImg.EndUpdate;

    aBmp.LoadFromIntfImage(IntfImg);
    aBmp.Canvas.TextOut(5,5,'Ein Test');

    Canvas.Draw(1, 1, aBmp);
  finally
    IntfImg.Free;
    aBmp.Free;
  end;

  Caption := IntToStr(GetTickCount64 - Tick);
end;

end.

